<style src="./Notifications.scss" lang="scss" scoped></style>
<script src="./Notifications.js"></script>

<template>
  <li
    id="noti-dropdown"
    class="m-dropdown m-dropdown--align-right m-nav__item"
    m-dropdown-toggle="click"
  >
    <a
      href="javascript:void(0)"
      class="m-dropdown__toggle"
      :class="{ 'active': isActive }"
      id="btn_open_noti"
      @click="openNoti()"
    >
      <i class="icon icon-alarm-clock-1"></i>
      <div v-if="numberOfNotis" class="noti-total">{{ numberOfNotis }}</div>
    </a>
    <div class="m-dropdown__wrapper" >
      <div
        class="m-dropdown__inner"
        style="background: #FFFFFF; box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.1); border-radius: 4px;"
      >
        <div class="noti-header d-flex align-items-center justify-content-between">
          <div>Thông báo</div>
          <div v-if="numberOfNotis" class="noti-number">{{ numberOfNotis }} tin mới</div>
        </div>
        <div class="noti-tabs d-flex">
          <div
            class="noti-tab d-flex align-items-center justify-content-center"
            :class="{ 'active': activeTab === tabs.org }"
            @click.stop.prevent="removeCount(); activeTab = tabs.org"
          >
            Tổ chức
            <div v-if="numberOfOrgNotis" class="noti-label">{{ numberOfOrgNotis }}</div>
          </div>
          <div
            class="noti-tab d-flex align-items-center justify-content-center"
            :class="{ 'active': activeTab === tabs.system }"
            @click.stop.prevent="removeCount(); activeTab = tabs.system"
          >
            Nỏ Thần
            <div v-if="numberOfSystemNotis" class="noti-label">{{ numberOfSystemNotis }}</div>
          </div>
        </div>
        <div class="noti-content" :class="{ 'active': activeTab === tabs.org }">
          <div
            class="noti-scroll-content nt-scroll-primary has-scroll-bg" id="nt_noti_scroll_content"
            :class="{ 'noti-fixed-height': !notis.length }"
          >
            <a
              v-for="(noti, index) in notis"
              :key="index"
              class="noti-item"
              :class="{ 'unread': noti.unRead }"
              :href="noti.click_action"
              @click.prevent="markAsRead(tabs.org, index, noti)"
            >
              <div class="noti-text" v-html="noti.body"></div>
              <div class="noti-time">{{ noti.created_at | formatDateTimeNoti }}</div>
            </a>
            <infinite-loading @infinite="fetch">
              <span slot="no-more"></span>
              <span slot="no-results"></span>
            </infinite-loading>
            <NoResults
              v-if="!notis.length"
              icon="icon icon-alarm-clock-1"
              message="Hiện tại bạn chưa có thông báo nào!"
            />
          </div>
          <div v-if="notis.length" class="noti-more text-center">
            <router-link :to="{ name: '' }" class="nt-link" @click="removeCount">Xem tất cả</router-link>
          </div>
        </div>
        <div class="noti-content" :class="{ 'active': activeTab === tabs.system }">
          <div
            class="noti-scroll-content nt-scroll-primary" id="nt_noti_scroll_content"
            :class="{ 'noti-fixed-height': !announcement.length }"
          >
            <!--  <router-link
              v-for="(noti, index) in announcement"
              :key="index"
              class="noti-item"
              :class="{ 'unread': noti.unRead }"
              :to="{ path: noti.click_action }"
            >
               <div @click="markAsRead(tabs.system, index, noti.id)">
                <div class="noti-text" v-html="noti.body"></div>
                <div class="noti-time">{{ noti.created_at | formatDateTime }}</div>
              </div>
            </router-link>-->
            <!-- <infinite-loading @infinite="loadAnnouncement">
            <span slot="no-more"></span>
            <span slot="no-results"></span>
            </infinite-loading>-->
            <NoResults
              v-if="!announcement.length"
              icon="icon icon-alarm-clock-1"
              message="Hiện tại bạn chưa có thông báo nào!"
            />
          </div>
          <div v-if="announcement.length" class="noti-more text-center">
            <router-link :to="{ name: '' }" class="nt-link" @click="removeCount">Xem tất cả</router-link>
          </div>
        </div>
      </div>
    </div>
  </li>
</template>
